BMA EHR API Document

Loading...
Searching...
No Matches
Public Member Functions | List of all members
BMA.EHR.Application.Repositories.Reports.CandidateReportRepository Class Reference

## Public Member Functions
| CandidateReportRepository (IApplicationDBContext dbContext, IApplicationDBExamContext dbExamContext, MinIOService documentService, OrganizationCommonRepository organizationCommonRepository, IWebHostEnvironment hostEnvironment)
async Task< dynamic > | GetExamCandidateAsync (Guid id)
async Task< dynamic > | GetExamCareerCandidateAsync (Guid id)
async Task< dynamic > | GetExamAvatarCandidateAsync (Guid id)

## Constructor & Destructor Documentation

## ◆ CandidateReportRepository()

BMA.EHR.Application.Repositories.Reports.CandidateReportRepository.CandidateReportRepository | ( | IApplicationDBContext | dbContext,
|  | IApplicationDBExamContext | dbExamContext,
|  | MinIOService | documentService,
|  | OrganizationCommonRepository | organizationCommonRepository,
|  | IWebHostEnvironment | hostEnvironment
| ) |  |
| inline

## Member Function Documentation

## ◆ GetExamAvatarCandidateAsync()

async Task< dynamic > BMA.EHR.Application.Repositories.Reports.CandidateReportRepository.GetExamAvatarCandidateAsync | ( | Guid | id | ) |
| inline

## ◆ GetExamCandidateAsync()

async Task< dynamic > BMA.EHR.Application.Repositories.Reports.CandidateReportRepository.GetExamCandidateAsync | ( | Guid | id | ) |
| inline

## ◆ GetExamCareerCandidateAsync()

async Task< dynamic > BMA.EHR.Application.Repositories.Reports.CandidateReportRepository.GetExamCareerCandidateAsync | ( | Guid | id | ) |
| inline

The documentation for this class was generated from the following file:

- BMA.EHR.Application/Repositories/Reports/CandidateReportRepository.cs